Subject: Re: SCC or SMC for console ?

From: Laurent Pinchart <[email-masked]>
Date: Fri, 15 Feb 2002 15:24:38 +0100

>
>
>Should be no problem. The kernel on our FTP server was tested with  6
>serial  ports  on  a  MPC860, with HW flow controll on all SCC's.
>
Reading arch/ppc/8xx_io/uart.c, I found out that all the flow control
related code was surrounded by false #if #endif. It seems that there is
no flow control at all on either the SMC or SCC serial ports in UART
mode. Is there a patch somewhere to implement flow control, or is it
still missing ? I was wondering what to do with CD/DTR/DSR (as Linux
only support RTS/CTS flow control for now), and had hoped to find an
answer in the source code...

Laurent Pinchart

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/